hrtimer_forward
Prev | High-resolution timers | Next

## Name

hrtimer_forward — forward the timer expiry

## Synopsis

`u64 hrtimer_forward (` | struct hrtimer * | timer,
| ktime_t | now,
| ktime_t | interval`)`;

## Arguments

`timer`

  hrtimer to forward

`now`

  forward past this time

`interval`

  the interval to forward

## Description

Forward the timer expiry so it will expire in the future. Returns the number of overruns.

Prev | Up | Next
ktime_sub_ns | Home | hrtimer_start